{ lib }:

let
  domains = [ "runas.rocks" "giugl.io" ];
in
rec {
  genSubdomainFQN = { subdomain }:
    map (d: "${subdomain}.${d}") domains;
  concatSubdomainSep = { subdomain, sep ? "," }:
    lib.concatStringSep sep (genSubdomainFQN { inherit subdomain; });
}
